/****************************************************************************
 * The C AST described in c_ast.x refers to a table of interned strings     *
 * encoded in a separate file. This describes the structure of that file.   *
 ***************************************************************************/

/* The string table is a list of mappings from strings to their IDs. */
typedef string_table table_entry<>;

/* Each unique string is assigned a unique ID by one of these mappings. */
struct table_entry {
   string            table_entry_string<>;
   string_id         table_entry_id;
};

/* The string ID is just an unsigned integer that starts at 0 and increments.
 * Nothing fancy. */
typedef unsigned int string_id;
