(* Serialize the CIL tree for a given C file to an XDR file. The format of
 * the XDR is given in c_ast.x. For a C source file foo.c, the XDR will be
 * written to foo.xdr, with an interned strings table in foo.strings.xdr.
 *
 * You can use this function to serialize CIL trees, but you probably don't
 * want to. Instead, just use cilly, the CIL frontend, and pass it the
 * command-line options --save-temps and --dowritexdr. The cilly script will
 * pass the tree of each file it processes to this function for you. *)
val write_xdr : Cil.file -> unit

(* This structure is referenced in CIL to allow Writexdr to be used as a CIL
 * feature (i.e., so you can use --dowritexdr). *)
val feature : Cil.featureDescr
